Package com.castlabs.android.hybridads

# Class HybridAdPlugin

java.lang.Object
com.castlabs.android.Plugin
com.castlabs.android.hybridads.HybridAdPlugin

public class HybridAdPlugin extends Plugin
Plugin for handling hybrid ads.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HybridAdPlugin(com.castlabs.android.tunerhal.aidl.IPlayerService tunerhalPlayerService)`
  Create a new instance of this plugin using the default configuration.
  `HybridAdPlugin(com.castlabs.android.tunerhal.aidl.IPlayerService tunerhalPlayerService, boolean doesVideoUseSharedMemory, boolean doesAudioUseSharedMemory, int videoSharedMemorySizeInBytes, int audioSharedMemorySizeInBytes)`
  Create a new instance of this plugin using the default configuration.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getId()`

  ### Methods inherited from class com.castlabs.android.Plugin

  `init, onRemotePlay`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### HybridAdPlugin

    public HybridAdPlugin(com.castlabs.android.tunerhal.aidl.IPlayerService tunerhalPlayerService, boolean doesVideoUseSharedMemory, boolean doesAudioUseSharedMemory, int videoSharedMemorySizeInBytes, int audioSharedMemorySizeInBytes)
    Create a new instance of this plugin using the default configuration.
    Parameters:
      `tunerhalPlayerService` - The player service instance from tuner HAL.
      `doesVideoUseSharedMemory` - Whether Video in Plugin Uses Shared Memory
      `doesAudioUseSharedMemory` - Whether Audio in Plugin Uses Shared Memory
      `videoSharedMemorySizeInBytes` - Size of Video Shared Memory to be allocated in Bytes
      `audioSharedMemorySizeInBytes` - Size of Audio Shared Memory to be allocated in Bytes

  - ### HybridAdPlugin

    public HybridAdPlugin(com.castlabs.android.tunerhal.aidl.IPlayerService tunerhalPlayerService)
    Create a new instance of this plugin using the default configuration.
    Parameters:
      `tunerhalPlayerService` - The player service instance from tuner HAL.

- ## Method Details

  - ### getId

    @NonNull public String getId()
    Specified by:
      `getId` in class `Plugin`